<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"template/start.php";
require_once"template/regglobals.php";
require_once"template/config.php";
require_once"template/functions.php";
require_once"template/antidos.php";
require_once"template/cookies.php";
require_once"template/gzip.php";
require_once"template/header.php";
require_once"template/referer.php";
include_once"themes/$config_themes/index.php";

require_once"template/isset.php";

if(eregi("[^a-z0-9_-]",$_GET['f']) || eregi("[^a-z0-9_-]",$_GET['p'])){header ("Location: index.php?error&".SID); exit;}
if($config_nikname=="" && file("INSTALL.php")){ header ("Location: INSTALL.php?".SID); exit;}
//----------------------------------------------------------//
$text = file("local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}
//-----------------------------------------------------------//
if (empty($p)){
if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
echo'<font color="#FF0000"><b>';  include_once"template/day_time.php"; echo $_SESSION['log'].'</b></font><br>';}


if($config_welcome=="1"){echo'<div align="center">'; include_once"local/welcome.dat"; echo'</div>';}
if($config_showtime=="1"){echo'<div align="center">'; include_once"template/times.php"; echo'</div>';}  
if($config_quotes=="1"){include_once"template/quotes.php"; }


if (md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

if($udata[10]>0){
echo'<img src="images/img/mail.gif" alt=""> <b><a href="pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}
	
echo'<img src="images/img/act1.gif" alt=""> <a href="pages/index.php?action=menu&amp;'.SID.'">Мое меню</a><br>';
if ($dostup==101 || $dostup==102)
{echo'<img src="images/img/act2.gif" alt=""> <a href="'.$config_mpanel.'/?'.SID.'">Админ-панель</a><br>';} 
if ($dostup==103 || $dostup==105)
{echo'<img src="images/img/act2.gif" alt=""> <a href="'.$config_mpanel.'/?'.SID.'">Mодер-панель</a><br>';}	
} else {
echo'<img src="images/img/act1.gif" alt=""> <a href="pages/vhod.php?'.SID.'">Авторизация</a><br>';
echo'<img src="images/img/act2.gif" alt=""> <a href="pages/registration.php?'.SID.'">Регистрация</a><br>';
echo'<img src="images/img/act2.gif" alt=""> <a href="mail/lostpassword.php?'.SID.'">Забыли пароль?</a><br>';
}

include_once("local/datamain/index.dat");

}else{
if(empty($f)){$f='index';}

$sfx = file($p.'/'.$f.'.'.$config_ras); 
if (!$sfx){
echo 'Файл с данными параметрами не найден!';
}else{
include_once $p.'/'.$f.'.'.$config_ras;
}}

include_once"themes/$config_themes/foot.php";
?>